curl --request GET \
--url https://api.eliteprospects.com/v1/draft-types/{slug}/draft-rankings/{year}/ranking-scouts \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.eliteprospects.com/v1/draft-types/{slug}/draft-rankings/{year}/ranking-scouts"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.eliteprospects.com/v1/draft-types/{slug}/draft-rankings/{year}/ranking-scouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_meta": {
"generatedAt": "<string>",
"offset": 123,
"limit": 123,
"totalRecords": 123
},
"_links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"data": [
{
"slug": "<string>",
"name": "<string>",
"continent": "INT",
"hasSeparateGoalieRanking": true,
"lastUpdateInformation": "<string>",
"logoUrl": "<string>",
"widgetLogoUrl": "<string>",
"links": {
"officialWebUrl": "<string>",
"facebook": "<string>",
"x": "<string>",
"twitter": "<string>",
"instagram": "<string>",
"youtube": "<string>"
},
"rankingSource": {
"slug": "<string>",
"name": "<string>"
},
"sortIndex": 123,
"eliteprospectsUrlPath": "<string>",
"updatedAt": "<string>"
}
]
}Ranking scouts
Scouting services that published a prospect ranking for this draft year. Use the fields parameter to customize response fields.
Authorizations
Path Parameters
Slug of the draft type to get draft ranking scouts for
Year of the draft ranking to get draft ranking scouts for
Query Parameters
Specify custom response with available response fields.
Fields included as default: slug, name, continent, hasSeparateGoalieRanking, lastUpdateInformation, logoUrl, widgetLogoUrl, links, rankingSource, sortIndex, eliteprospectsUrlPath, updatedAt
slug, name, continent, hasSeparateGoalieRanking, lastUpdateInformation, logoUrl, widgetLogoUrl, links, rankingSource, sortIndex, eliteprospectsUrlPath, updatedAt, links.*, rankingSource.*, * The number of items to skip before starting to collect the result set.
x >= 0The number of items to return.
0 <= x <= 1000Sort results by field name. Prefix with - for descending order (e.g., -name).
sortIndex, -sortIndex, name, -name, rankingSource, -rankingSource, updatedAt, -updatedAt Filter by slug
Filter by name
Filter by rankingSource
Filter by hasSeparateGoalieRanking
Filter by updatedAt greater or equal to in ISO-8601 format for date and time